%define oname   daemons

Name:       ruby-%{oname}
Version:    1.1.9
Release:    %mkrel 4
Summary:    A toolkit to create and control daemons in different ways
License:    BSD and Ruby License
Group:      Development/Ruby
URL:        http://daemons.rubyforge.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Daemons provides an easy way to wrap existing ruby scripts (for example
a self-written server) to be run as a daemon and to be controlled by simple
start/stop/restart commands. You can also call blocks as daemons and
control them from the parent or just daemonize the current process. Besides
this basic functionality, daemons offers many advanced features like
exception backtracing and logging (in case your ruby script crashes) and
monitoring and automatic restarting of your processes if they crash.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/.yardoc

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc examples
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Releases
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/TODO


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.1.9-4.mga3
+ Revision: 395825
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.9-3.mga3
+ Revision: 380768
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.1.9-2.mga3
+ Revision: 312810
- rebuild for new ruby

* Sun Aug 19 2012 shlomif <shlomif> 1.1.9-1.mga3
+ Revision: 282285
- New version 1.1.9 (thanks to aghero)

* Tue Jun 12 2012 solbu <solbu> 1.1.8-1.mga3
+ Revision: 260072
- Remove yardoc
- New version
- Spec cleanup

* Sun Apr 17 2011 shikamaru <shikamaru> 1.1.2-1.mga1
+ Revision: 87152
- new version 1.1.2

* Sat Feb 12 2011 shikamaru <shikamaru> 1.1.0-2.mga1
+ Revision: 50921
- imported package ruby-daemons

